cmake_minimum_required(VERSION 3.0)

set(CMAKE_CXX_STANDARD          17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS        OFF)

set(CMAKE_OSX_DEPLOYMENT_TARGET "10.14")


project(main)

set(PROJECT_NAME main)

include_directories(${CMAKE_SOURCE_DIR}})

set(SOURCE
	main.cpp)

add_executable(${PROJECT_NAME} ${SOURCE})

target_link_libraries(${PROJECT_NAME} stdc++ m)

target_compile_options(main PRIVATE -g)
